## animals 19991226-4.1

=== debian/changelog ===
animals (19991226-4.1) frozen unstable; urgency=low

  * Non maintainer upload.

  * From Jim Lynch:
      Applied patch from Randolph <tausq@debian.org> which catches
      signals.  This is temporary to get it through the release. I
      will be using these ideas when I switch to having the file open
      only when accessing it.  Perhaps this will facilitate multiuser
      operation. (closes: #61825).  Thanks Randolph for the patch and
      aj for the upload.

 -- Anthony Towns <ajt@debian.org>  Sun, 23 Apr 2000 23:34:04 +1000

animals (19991226-4) frozen unstable; urgency=low

  * Fixed problems resulting from going from db2.6 to db2, cleaned up calls

 --  <jwl@debian.org>  Sun, 27 Feb 2000 02:31:24 -0800

animals (19991226-3) frozen unstable; urgency=low

  * db2.6 pulled by release mgr; recompiled with db2. (no other change at all)

 --  <jwl@debian.org>  Fri, 25 Feb 2000 16:36:18 -0800

animals (19991226-2) unstable; urgency=low

  * maintainer address change.

 --  <jwl@debian.org>  Mon, 10 Jan 2000 03:06:17 -0800

animals (19991226-1) unstable; urgency=low

  * new "upstream" (I am upstream author) version
  * Fixes Bug#53476. Recompiled w/ gcc-2.95.2 against ligstdc++2.10.
  * Now uses Berkeley Db's c++ wrapper lib (libdb2.6++)

 --  <jwl@debian.org>  Fri, 31 Dec 1999 14:20:00 -0800

animals (19990604-1) unstable; urgency=low

  * Initial Release.

 --  <jim@laney.edu>  Fri,  4 Jun 1999 12:14:53 -0700

Local variables:
mode: debian-changelog
End:
