=== debian/control ===
Source: animals
Section: games
Priority: optional
Maintainer: Jim Lynch <jwl@debian.org>
Standards-Version: 2.5.0

Package: animals
Architecture: any
Depends: ${shlibs:Depends}
Description: Traditional AI animal guessing engine using a binary tree DB
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.
