## animals 19991226-4.2

=== debian/changelog ===
animals (19991226-4.2) frozen unstable; urgency=low

  * NMU
  * Missing build-depend on debhelper.  Closes: #70080, #70147, #84549.

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Sat, 14 Jul 2001 21:55:50 -0600
