## animals 20031130

=== Makefile ===
--- 
+++ 
@@ -28,26 +28,36 @@
 # this one is pre-FHS, so uses FSSTND
 #CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"
 
-# use this one for debian potato package
+# use this one for FHS-based debian package
 CPPFLAGS = -g -DDbName=\"/var/games/animals/animals.db\"
 
 # Edited for Debian GNU/Linux.
 DESTDIR =
 
-animals: main.o db2++-stuff.o
-	g++ -o animals main.o db2++-stuff.o -ldb2++
+animals: main.o db4++-stuff.o str-conversions.o util.o
+	g++ -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
 
 # various tests are conducted in test.cc
-test: db2++-stuff.o test.o
-	g++ -o test test.o db2++-stuff.o -ldb2++
+test: db4++-stuff.o test.o str-conversions.o util.o
+	g++ -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
 
-main.o: main.cc Record.h Question.h Animal.h db2++-stuff.h
+# tests of the string conversion funcs are conducted in test-str-cvt.cc
+test-str-cvt: test-str-cvt.o str-conversions.o
+	g++ -o test-str-cvt test-str-cvt.o str-conversions.o
 
-db2++-stuff.o: db2++-stuff.cc db2++-stuff.h
+test-str-cvt.o: test-str-cvt.cc str-conversions.h
+
+str-conversions.o: str-conversions.cc str-conversions.h
+
+main.o: main.cc Record.h Question.h Animal.h db++-stuff.h str-conversions.h
+
+db4++-stuff.o: db4++-stuff.cc db++-stuff.h
+
+util.o: util.cc util.h
 
 install: animals
 	cp animals $(DESTDIR)/usr/games/animals
 	mkdir -p $(DESTDIR)/var/games/animals
 
 clean:
-	rm -f animals test *.o *~ core
+	rm -f animals test test-str-cvt *.o *~ core
