## animals 201007161925

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #this is the -*- makefile -*- for animals.
 
 # Copyright (c) 1997 by Jim Lynch.
+# Copyright (c) 2010 by Philipp Schafft.
 # This software comes with NO WARRANTY WHATSOEVER.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,7 +16,8 @@
 #
 #    You should have received a copy of the GNU General Public License
 #    along with this program;  if not, write to the Free Software
-#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+#    02110-1301 USA
 #
 # On Debian Linux systems, the complete text of the GNU General
 # Public License can be found in `/usr/doc/copyright/GPL' (on some
@@ -29,21 +31,23 @@
 #CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"
 
 # use this one for FHS-based debian package
-CPPFLAGS = -g -DDbName=\"/var/games/animals/animals.db\"
+CPPFLAGS += -g -DDbName=\"/var/games/animals/animals.db\"
 
 # Edited for Debian GNU/Linux.
 DESTDIR =
 
+CXX=g++
+
 animals: main.o db4++-stuff.o str-conversions.o util.o
-	g++ -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
+	$(CXX) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
 
 # various tests are conducted in test.cc
 test: db4++-stuff.o test.o str-conversions.o util.o
-	g++ -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
+	$(CXX) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
 
 # tests of the string conversion funcs are conducted in test-str-cvt.cc
 test-str-cvt: test-str-cvt.o str-conversions.o
-	g++ -o test-str-cvt test-str-cvt.o str-conversions.o
+	$(CXX) -o test-str-cvt test-str-cvt.o str-conversions.o
 
 test-str-cvt.o: test-str-cvt.cc str-conversions.h
 
@@ -55,9 +59,19 @@
 
 util.o: util.cc util.h
 
-install: animals
+install-prep-dirs:
+	mkdir -p $(DESTDIR)/usr/games
+	mkdir -p $(DESTDIR)/var/games/animals
+	mkdir -p $(DESTDIR)/usr/share/man/man6
+
+install: animals install-prep-dirs
 	cp animals $(DESTDIR)/usr/games/animals
-	mkdir -p $(DESTDIR)/var/games/animals
+	cp animals.6 $(DESTDIR)/usr/share/man/man6
+
+all: animals
 
 clean:
 	rm -f animals test test-str-cvt *.o *~ core
+
+new: clean all
+
