=== debian/changelog ===
animals (201007161925-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New maintainer. (Closes: #541009)
  * Fixed some lintian errors.
  * New upstream release.
    - Patches are merged by upstream.
    - Some usability fixes.
    - Added support for multible databases. (Closes: #583596)

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.9.0.
    - Replace Conflicts with Breaks.
  * Remove empty debian/docs file.
  * Cleanup debian/rules.
  * Convert package to 3.0 (quilt).
  * Remove debian/dirs file.
  * Point to GPL-2 in debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 13 Jul 2010 19:28:39 +0200

animals (20031130-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build with gcc-4.3 (Closes: #417081)

 -- Joost Yervante Damad <andete@debian.org>  Thu, 06 Mar 2008 21:10:33 +0100

animals (20031130-2.3) unstable; urgency=low

  * Non-maintainer upload from the Zürich BSP.
  * Apply patch from Martin Michlmayr to fix FBTFS with GCC 4.3 (Closes:
    #417081).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 13 Jan 2008 12:03:43 +0100

animals (20031130-2.2) unstable; urgency=low

  * Switch to db4.6.   closes: #421958.
  * Bump to Standards-Version 3.7.2.

 -- Clint Adams <schizo@debian.org>  Fri, 31 Aug 2007 14:04:28 -0400

animals (20031130-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build depend on db4.3++-dev (Closes: #334252)

 -- Luk Claes <luk@debian.org>  Fri, 28 Oct 2005 17:00:29 +0200

animals (20031130-2) unstable; urgency=low

  * latest Standards-Version
  * trying to fix permission problem, not finished.
  * Now build-depends on db4.2++ libs (closes: #263233)

 --  <jwl@debian.org>  Sun, 08 Aug 2004 19:57:13 -0700

animals (20031130-1) unstable; urgency=low

  * new upstream version
  * New maintainer (closes: #202174)
  * animals is no longer a native package
  * added build-dep on libdb4.1-dev package 

 --  <jwl@debian.org>  Sun, 29 Nov 2003 03:17:00 -0800

animals (20030630-2) unstable; urgency=low

  * factored a handful of small utility funcs out of main.cc into util.{cc,h}
  * fixed the "test" target, using the working versions of the utils mentioned
      above.

 --  <jwl@debian.org>  Mon, 14 Jul 2003 18:21:00 -0700

animals (20030630-1) unstable; urgency=low

  * new "upstream" (I am upstream author) version
  * this is a port to the new C++ standards.
  * rebuilt with db4 (sheesh. this db stuff is a mess. I think I'll do a pg 
      version.)
  * fully compiles with new c++ standards
      (closes: #195404, #153037)
  * OK, so the permissions (bug 130194) do seem wacky... I'll work on it.
      Here's what I (think I) want: no access to the animals data file 
      other than by the game, meaning they can't see or alter it. As the
      bug filer noted, that's not precisely what I got. Comments?
  * what happened to the "pristineness" of the tarball?? you NMUers
      did good jobs fixing the bugs, but you should have produced
      -diffs- off my tarball instead of changing it. I feel that
      as maintainer and upstream author, I should be allowed to
      alter the tarball; I ask that any NMUs do -not-, and produce
      diffs instead, for the specific reason that I can't know what
      you did or didn't do without pouring over the source, hence
      I can't account for changes. Still, thanks for your effort
      and interest; as I always make it a point to thank NMUers at 
      the time, I do so now as well.

 --  <jwl@debian.org>  Mon, 30 Jun 2003 08:40:00 -0700
