=== debian/control ===
Source: animals
Priority: optional
Maintainer: Philipp Schafft <lion@lion.leolix.org>
Uploaders: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7), libdb4.6++-dev
Standards-Version: 3.9.0
Section: games
Homepage: http://animals.keep-cool.org/

Package: animals
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: suidmanager (<< 0.50)
Description: Traditional AI animal guessing engine using a binary tree DB
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.

Package: animals-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, animals (= ${binary:Version})
Description: Traditional AI animal guessing engine (debugging symbols)
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.
 .
 This package provides debugging symbols for the animals package.
