=== debian/watch ===
version=3
http://animals.keep-cool.org/index.html dl/animals-(.*)\.tar\.gz
