## animals 201207131226

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #this is the -*- makefile -*- for animals.
 
 # Copyright (c) 1997 by Jim Lynch.
-# Copyright (c) 2010 by Philipp Schafft.
+# Copyright (c) 2010-2012 by Philipp Schafft.
 # This software comes with NO WARRANTY WHATSOEVER.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -15,23 +15,21 @@
 #    GNU General Public License for more details.
 #
 #    You should have received a copy of the GNU General Public License
-#    along with this program;  if not, write to the Free Software
-#    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
-#    02110-1301 USA
-#
-# On Debian Linux systems, the complete text of the GNU General
-# Public License can be found in `/usr/doc/copyright/GPL' (on some
-# installations) or /usr/share/common-licenses/GPL (on newer 
-# ones).
+#    along with this software; see the file COPYING.  If not, write to
+#    the Free Software Foundation, 51 Franklin Street, Fifth Floor,
+#    Boston, MA 02110-1301, USA.
 
 # if you want the db in your home dir (maybe for testing)
-#CPPFLAGS = -g -DDbName=\"$(HOME)/animals.db\"
+#CPPFLAGS = -O2 -g -DDbName=\"$(HOME)/animals.db\"
 
 # this one is pre-FHS, so uses FSSTND
-#CPPFLAGS = -g -DDbName=\"/var/lib/games/animals/animals.db\"
+#CPPFLAGS = -O2 -g -DDbName=\"/var/lib/games/animals/animals.db\"
 
 # use this one for FHS-based debian package
-CPPFLAGS += -g -DDbName=\"/var/games/animals/animals.db\"
+CPPFLAGS += -O2 -g -DDbName=\"/var/games/animals/animals.db\"
+
+# Setting some common linker flags
+LDFLAGS += -O2 -g -Wall -Wextra
 
 # Edited for Debian GNU/Linux.
 DESTDIR =
@@ -39,15 +37,15 @@
 CXX=g++
 
 animals: main.o db4++-stuff.o str-conversions.o util.o
-	$(CXX) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
+	$(CXX) $(LDFLAGS) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
 
 # various tests are conducted in test.cc
 test: db4++-stuff.o test.o str-conversions.o util.o
-	$(CXX) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
+	$(CXX) $(LDFLAGS) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
 
 # tests of the string conversion funcs are conducted in test-str-cvt.cc
 test-str-cvt: test-str-cvt.o str-conversions.o
-	$(CXX) -o test-str-cvt test-str-cvt.o str-conversions.o
+	$(CXX) $(LDFLAGS) -o test-str-cvt test-str-cvt.o str-conversions.o
 
 test-str-cvt.o: test-str-cvt.cc str-conversions.h
