=== debian/changelog ===
animals (201207131226-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Set "Rules-Requires-Root: binary-targets" (Closes: #1089283)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 20:39:49 +0100

animals (201207131226-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace libdb++-dev with libdb5.3++-dev. (Closes: #1042087)

 -- Bastian Germann <bage@debian.org>  Thu, 26 Oct 2023 00:57:51 +0200

animals (201207131226-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo overwrite -> override in debian/rules that prevented the use of
    correct file permissions and thus made the game unusable.
    Thanks to Aaron Howell for the report. (Closes: #875547)

 -- Markus Koschany <apo@debian.org>  Mon, 16 Apr 2018 19:21:27 +0200

animals (201207131226-2) unstable; urgency=medium

  * Switch to dh
  * Compat bump to 9
  * Drop -dbg package to transition to new dbgsym package
  * drop hardening-wrapper (Closes: #836614)

 -- Alberto Fuentes <pajaro@gmail.com>  Sun, 11 Sep 2016 20:20:18 +0200

animals (201207131226-1) unstable; urgency=low

  * New maintainer. (Closes: #679235)
  * New upstream release.
    - Changed ChangeLog format to RoarAudio Changelog Format.
    - Allow answering "sure" to "Want to play again?"
    - Updated legal infrastructure.
    - Updated manpage.
    - Updated Makefile.

 -- Alberto Á. Fuentes <pajaro@gmail.com>  Sun, 15 Jul 2012 22:18:46 +0200

animals (201007161925-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 06 Apr 2012 20:59:36 +0200

animals (201007161925-7) unstable; urgency=low

  * Fix lintian warning build-depends-on-versioned-berkeley-db.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 04 Feb 2012 14:47:49 +0100

animals (201007161925-6) unstable; urgency=low

  [ Philipp Schafft ]
  * Fixed lintian warnings:
    - Added missing rules: build-arch, build-indep
    - Updated copyright file
    - Made the package description more verbose
    - Updated and corrected copyright file
    - Added lintian overwrite for directory permission

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:12:18 +0200

animals (201007161925-5) unstable; urgency=low

  [ Philipp Schafft ]
  * Updated homepage and watch file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 14 May 2011 13:59:58 +0200

animals (201007161925-4) unstable; urgency=low

  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 15:54:38 +0200

animals (201007161925-3) unstable; urgency=high

  * Change build depend on libdb++-dev.
    Closes: #622712
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 16 Apr 2011 12:14:40 +0200

animals (201007161925-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 19:06:06 +0100
