=== debian/control ===
Source: animals
Priority: optional
Maintainer: Alberto Fuentes <pajaro@gmail.com>
Build-Depends: debhelper (>= 9),
 libdb5.3++-dev,
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.3
Section: games
Homepage: http://software.keep-cool.org/animals.html

Package: animals
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: suidmanager (<< 0.50)
Description: Traditional AI animal guessing engine using a binary tree DB
 You think of an animal, and this package tries to guess it... when it's wrong,
 you teach it about your animal.
 .
 To be more flexible and help educational aspect this game does not contain
 an initial database. This also allows it to be used for non animals like
 guessing of tools or locations.
