=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='animals-dbg (<<201207131226-1)'

override_dh_fixperms:
	dh_fixperms
	chown games:games $(CURDIR)/debian/animals/var/games/animals
	chmod 06775 $(CURDIR)/debian/animals/var/games/animals
	chown games:games $(CURDIR)/debian/animals/usr/games/animals
	chmod 02755 $(CURDIR)/debian/animals/usr/games/animals
