## animals 202601041054Z

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #this is the -*- makefile -*- for animals.
 
 # Copyright (c) 1997 by Jim Lynch.
-# Copyright (c) 2010-2012 by Philipp Schafft.
+# Copyright (c) 2010-2012,2026 by Philipp Schafft.
 # This software comes with NO WARRANTY WHATSOEVER.
 #
 # This program is free software; you can redistribute it and/or modify
@@ -20,13 +20,13 @@
 #    Boston, MA 02110-1301, USA.
 
 # if you want the db in your home dir (maybe for testing)
-#CPPFLAGS = -O2 -g -DDbName=\"$(HOME)/animals.db\"
+#CPPFLAGS = -O2 -g -Wall -Wextra -std=c++20 -DDbName=\"$(HOME)/animals.sqlite3\"
 
 # this one is pre-FHS, so uses FSSTND
-#CPPFLAGS = -O2 -g -DDbName=\"/var/lib/games/animals/animals.db\"
+#CPPFLAGS = -O2 -g -Wall -Wextra -std=c++20 -DDbName=\"/var/lib/games/animals/animals.sqlite3\"
 
 # use this one for FHS-based debian package
-CPPFLAGS += -O2 -g -DDbName=\"/var/games/animals/animals.db\"
+CPPFLAGS += -O2 -g -Wall -Wextra -std=c++20 -DDbName=\"/var/games/animals/animals.sqlite3\"
 
 # Setting some common linker flags
 LDFLAGS += -O2 -g -Wall -Wextra
@@ -36,12 +36,8 @@
 
 CXX=g++
 
-animals: main.o db4++-stuff.o str-conversions.o util.o
-	$(CXX) $(LDFLAGS) -o animals main.o db4++-stuff.o str-conversions.o util.o -ldb_cxx
-
-# various tests are conducted in test.cc
-test: db4++-stuff.o test.o str-conversions.o util.o
-	$(CXX) $(LDFLAGS) -o test test.o db4++-stuff.o str-conversions.o -ldb_cxx
+animals: main.o sqlite-stuff.o str-conversions.o util.o
+	$(CXX) $(LDFLAGS) -o animals main.o sqlite-stuff.o str-conversions.o util.o -lsqlite3
 
 # tests of the string conversion funcs are conducted in test-str-cvt.cc
 test-str-cvt: test-str-cvt.o str-conversions.o
@@ -51,9 +47,11 @@
 
 str-conversions.o: str-conversions.cc str-conversions.h
 
-main.o: main.cc Record.h Question.h Animal.h db++-stuff.h str-conversions.h
+main.o: main.cc Record.h Question.h Animal.h sqlite-stuff.h str-conversions.h
 
-db4++-stuff.o: db4++-stuff.cc db++-stuff.h
+db4++-stuff.o: db4++-stuff.cc db4++-stuff.h
+
+sqlite-stuff.o: sqlite-stuff.cc sqlite-stuff.h
 
 util.o: util.cc util.h
