=== debian/changelog ===
animals (202601041054Z-1) unstable; urgency=medium

  * New upstream version
  * Maintain in Debian Games team
    Closes: #1124011
  * d/watch: version=5
  * Build-Depends: s/libdb5.3++-dev/libsqlite3-dev/
    Closes: #1119191
  * d/rules: There is no *-dbg package
  * Do not require Rules-Requires-Root, instead set permissions in postinst
  * d/copyright: DEP5
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Mention changed database backend and the need for recreation

 -- Andreas Tille <tille@debian.org>  Sun, 25 Jan 2026 08:17:10 +0100
