=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: animals
-Priority: optional
-Maintainer: Alberto Fuentes <pajaro@gmail.com>
-Build-Depends: debhelper (>= 9),
- libdb5.3++-dev,
-Rules-Requires-Root: binary-targets
-Standards-Version: 3.9.3
+Maintainer:  Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Alberto Fuentes <pajaro@gmail.com>,
+           Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ libsqlite3-dev,
+Standards-Version: 4.7.3
 Section: games
-Homepage: http://software.keep-cool.org/animals.html
+Vcs-Browser: https://salsa.debian.org/games-team/animals
+Vcs-Git: https://salsa.debian.org/games-team/animals.git
+Homepage: https://software.keep-cool.org/animals.html
 
 Package: animals
 Architecture: any
