=== debian/watch ===
Version: 5

Source: https://software.keep-cool.org/downloads.html#animals
Matching-Pattern: .*/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
